﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ROTools.ROWebLogin {

    /// <summary>
    /// IDパスワード入力用フォーム
    /// </summary>
    public partial class AddIdForm : Form {


        /// <summary>
        /// ID
        /// </summary>
        public string Id {
            get;
            set;
        }

        /// <summary>
        /// パスワード
        /// </summary>
        public string Password {
            get;
            set;
        }

        /// <summary>
        /// パスワードの保存
        /// </summary>
        public bool SavePassword {
            get;
            set;
        }

        /// <summary>
        /// OTPの使用
        /// </summary>
        public bool IsOtpEnable {
            get;
            set;
        }

        /// <summary>
        /// コンストラクタ
        /// </summary>
        public AddIdForm() {
            InitializeComponent();
        }


        /// <summary>
        /// フォーム読み込み時処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void AddIdForm_Load(object sender, EventArgs e) {
            idTextBox.Text = Id;
            passwordTextBox.Text = Password;
            savePasswordCheckBox.Checked = SavePassword;
            otpEnableCheckBox.Checked = IsOtpEnable;
            // パスワード入力が求められている場合
            if(!string.IsNullOrEmpty(idTextBox.Text) && string.IsNullOrEmpty(passwordTextBox.Text)) {
                idTextBox.Enabled = false;
                passwordTextBox.Focus();
            } else {
                idTextBox.Focus();
            }
        }


        /// <summary>
        /// OKボタンを押したときの処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void okButton_Click(object sender, EventArgs e) {
            if(string.IsNullOrEmpty(idTextBox.Text)) {
                MessageBox.Show("ガンホーIDが入力されていません", this.Text, MessageBoxButtons.OK, MessageBoxIcon.Error);
                this.DialogResult = DialogResult.None;
                return;
            }
            if(savePasswordCheckBox.Checked && string.IsNullOrEmpty(passwordTextBox.Text)) {
                MessageBox.Show("パスワードが入力されていません", this.Text, MessageBoxButtons.OK, MessageBoxIcon.Error);
                this.DialogResult = DialogResult.None;
                return;
            }
            Id = idTextBox.Text;
            Password = passwordTextBox.Text;
            SavePassword = savePasswordCheckBox.Checked;
            IsOtpEnable = otpEnableCheckBox.Checked;
        }

    }
}
