﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Net;
using System.Runtime.Serialization.Formatters.Binary;

namespace ROTools.ROWebLogin {

    /// <summary>
    /// アトラクションセンターアカウントデータ
    /// </summary>
    public class GunghoAccountData {

        /// <summary>
        /// ガンホーID
        /// </summary>
        public string Id {
            get;
            set;
        }

        /// <summary>
        /// ガンホーパスワード
        /// </summary>
        public string Password {
            get;
            set;
        }

        /// <summary>
        /// OTPの使用
        /// </summary>
        public bool IsOtpEnable {
            get;
            set;
        }

        /// <summary>
        /// 画像認証Cookieの保存
        /// </summary>
        public bool SaveImageAuthCookie {
            get;
            set;
        }

        /// <summary>
        /// Cookie保管庫
        /// </summary>
        private Cookie idLockCookie;

        /// <summary>
        /// Cookie保管庫
        /// </summary>
        [System.Xml.Serialization.XmlIgnore]
        public Cookie IDLockCookie {
            get {
                return idLockCookie;
            }
            set {
                idLockCookie = value;
            }
        }

        /// <summary>
        /// IDロック機能用Cookie
        /// </summary>
        public string IDLockCookieB64 {
            get {
                if(idLockCookie == null) {
                    return null;
                } else {
                    using(MemoryStream ms = new MemoryStream()) {
                        BinaryFormatter f = new BinaryFormatter();
                        f.Serialize(ms, idLockCookie);
                        return Convert.ToBase64String(ms.GetBuffer());
                    }
                }
            }
            set {
                if(string.IsNullOrEmpty(value)) {
                    idLockCookie = null;
                } else {
                    using(MemoryStream ms = new MemoryStream(Convert.FromBase64String(value))) {
                        BinaryFormatter f = new BinaryFormatter();
                        idLockCookie = (Cookie)f.Deserialize(ms);
                    }
                }
            }
        }

        /// <summary>
        /// Cookie保管庫
        /// </summary>
        private Cookie imageAuthCookie;

        /// <summary>
        /// Cookie保管庫
        /// </summary>
        [System.Xml.Serialization.XmlIgnore]
        public Cookie ImageAuthCookie {
            get {
                return imageAuthCookie;
            }
            set {
                imageAuthCookie = value;
            }
        }

        /// <summary>
        /// IDロック機能用Cookie
        /// </summary>
        public string ImageAuthCookieB64 {
            get {
                if(imageAuthCookie == null) {
                    return null;
                } else {
                    using(MemoryStream ms = new MemoryStream()) {
                        BinaryFormatter f = new BinaryFormatter();
                        f.Serialize(ms, imageAuthCookie);
                        return Convert.ToBase64String(ms.GetBuffer());
                    }
                }
            }
            set {
                if(string.IsNullOrEmpty(value)) {
                    imageAuthCookie = null;
                } else {
                    using(MemoryStream ms = new MemoryStream(Convert.FromBase64String(value))) {
                        BinaryFormatter f = new BinaryFormatter();
                        imageAuthCookie = (Cookie)f.Deserialize(ms);
                    }
                }
            }
        }
        /// <summary>
        /// アトラクションID情報
        /// </summary>
        public List<AttractionAccountData> AttractionAccounts {
            get;
            set;
        }
    }

}
