﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ROTools.ROWebLogin {


    /// <summary>
    /// パスフレーズ入力用フォーム
    /// </summary>
    public partial class PassPhraseInputForm : Form {

        /// <summary>
        /// 入力されたパスフレーズ
        /// </summary>
        public string PassPhrase {
            get;
            set;
        }


        /// <summary>
        /// コンストラクタ
        /// </summary>
        public PassPhraseInputForm() {
            InitializeComponent();
        }

        /// <summary>
        /// フォーム初期化処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void PassPhraseInputForm_Load(object sender, EventArgs e) {
            PassPhrase = "";
            passPhraseTextBox.Text = "";
            this.WindowState = FormWindowState.Normal;
        }

        /// <summary>
        /// OKボタン押下時
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void okButton_Click(object sender, EventArgs e) {
            if(string.IsNullOrEmpty(passPhraseTextBox.Text)) {
                MessageBox.Show("パスフレーズが入力されていません", this.Text, MessageBoxButtons.OK, MessageBoxIcon.Error);
                DialogResult = DialogResult.None;
            }
            PassPhrase = passPhraseTextBox.Text;
        }
    }
}
