﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Diagnostics;

namespace ROTools.ROWebLogin {
    static class Program {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main(string[] args) {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
#if DEBUG
            DefaultTraceListener tl = (DefaultTraceListener)Debug.Listeners["Default"];
            tl.LogFileName = "ROWebLogin.log";
            Debug.WriteLine("================================================================================");
            Debug.Write(DateTime.Now.ToString());
            FileVersionInfo versionInfo = FileVersionInfo.GetVersionInfo(System.Reflection.Assembly.GetExecutingAssembly().Location);
            Debug.WriteLine(" ROWebLogin " + versionInfo.FileVersion);
#endif
            try {
                using(MainForm form = new MainForm()) {
                    if(args.Length > 0) {
                        form.OneShotAccount = args[0];
                    }
                    Application.Run(form);
                }
            } catch(PasswordRequireException) {
            }
        }
    }
}
